Package org.eclipse.emf.compare.internal

# Class SubMatchIterable

java.lang.Object
org.eclipse.emf.compare.internal.SubMatchIterable

All Implemented Interfaces:
  `Iterable<Match>`

public class SubMatchIterable extends Object implements Iterable<Match>
A custom Iterable that will iterate over the Match->submatch tree of a given Match.

## Constructor Summary

Constructors
Constructor
Description
`SubMatchIterable(Match match)`
Constructs an iterable given the root of its tree.

## Method Summary

Modifier and Type
Method
Description
`Iterator<Match>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### SubMatchIterable

public SubMatchIterable(Match match)
Constructs an iterable given the root of its tree.

Parameters:
  `match` - Starting match of the tree we'll iterate over.

## Method Details

### iterator

public Iterator<Match> iterator()

Specified by:
  `iterator` in interface `Iterable<Match>`
See Also:
  - `Iterable.iterator()`